# Intel® Enhanced Privacy ID SDK: NrVerifyCommitValues Struct Reference

NrVerifyCommitValues Struct Reference

Storage for values to create commitment in NrProve algorithm. More...

## Data Fields

BigNumStr | p
| A large prime (256-bit)
G1ElemStr | g1
| Generator of G1 (512-bit)
G1ElemStr | b
| (element of G1): part of basic signature Sigma0
G1ElemStr | k
| (element of G1): part of basic signature Sigma0
G1ElemStr | bp
| (element of G1): one entry in SigRL
G1ElemStr | kp
| (element of G1): one entry in SigRL
G1ElemStr | t
| element of G1
G1ElemStr | r1
| element of G1
G1ElemStr | r2
| element of G1
uint8_t | msg [1]
| message

## Detailed Description

Storage for values to create commitment in NrProve algorithm.

Storage for values to create commitment in NrVerify algorithm.

The documentation for this struct was generated from the following files:

- epid/member/nr_prove.c
- epid/verifier/nrverify.c